# include "mlpproblem.h"
# include "gradientwithls.h"

int main(int argc,char **argv)
{
    srand(1);
    Dataset trainSet(argv[1]);
    Dataset testSet(argv[2]);
    MlpProblem problem(10,&trainSet);
    GradientWithLS gd(&problem);

    gd.Solve();

    /** edo tha bgalei to kalytero train error
     *  kai tis antistoixes parametrous tou neuronikou**/
    Data bestweight = gd.getbestx();
    problem.setWeights(bestweight);


    double tr = problem.getTrainError();
    double tt = problem.getTestError(&testSet);
    double tc = problem.getClassTestError(&testSet);
    printf("Train Error: %20.10lg\n",tr);
    printf("Test  Error: %20.10lg\n",tt);
    printf("Class Error: %20.2lf%%\n",tc);
    return 0;
}
